> For the complete documentation index, see [llms.txt](https://docs.premia.blue/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.premia.blue/developer-center/apis/containerized-api/api-reference/pools.md).

# Pools

Endpoints that begin with `/pools/` path provides user control over option pools lifecycle: use can fetch all available pools (optionally filtered by `base` token, `quote` token, `expiration` date) and deploy a new option pool.

{% hint style="success" %}
If some option pools is *already deployed,* `POST /pools` will handle this case gracefully without an error.
{% endhint %}

{% hint style="warning" %}
`` `GET /pools` ``returns *only* the pools been deployed 90 days ago or later.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.premia.blue/developer-center/apis/containerized-api/api-reference/pools.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
